<!--
# ========================================================================
# Copyright 2020 hankcs
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
# ========================================================================
-->

# Penn Treebank

| Tag    | Description                                                                                                                                                                                                         |
|--------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ADJP   | Adjective Phrase.                                                                                                                                                                                                   |
| ADVP   | Adverb Phrase.                                                                                                                                                                                                      |
| CONJP  | Conjunction Phrase.                                                                                                                                                                                                 |
| FRAG   | Fragment.                                                                                                                                                                                                           |
| INTJ   | Interjection. Corresponds approximately to the part-of-speech tag UH.                                                                                                                                               |
| LST    | List marker. Includes surrounding punctuation.                                                                                                                                                                      |
| NAC    | Not a Constituent; used to show the scope of certain prenominal modifiers within an NP.                                                                                                                             |
| NP     | Noun Phrase.                                                                                                                                                                                                        |
| NX     | - Used within certain complex NPs to mark the head of the NP. Corresponds very roughly to N-bar level but used quite differently.                                                                                   |
| PP     | Prepositional Phrase.                                                                                                                                                                                               |
| PRN    | Parenthetical                                                                                                                                                                                                       |
| PRT    | Particle. Category for words that should be tagged RP.                                                                                                                                                              |
| QP     | Quantifier Phrase (i.e. complex measure/amount phrase); used within NP.                                                                                                                                             |
| ROOT   | No description                                                                                                                                                                                                      |
| RRC    | Reduced Relative Clause.                                                                                                                                                                                            |
| S      | conjunction or a wh-word and that does not exhibit subject-verb inversion.                                                                                                                                          |
| SBAR   | Clause introduced by a (possibly empty) subordinating conjunction.                                                                                                                                                  |
| SBARQ  | - Direct question introduced by a wh-word or a wh-phrase. Indirect questions and relative clauses should be bracketed as SBAR, not SBARQ.                                                                           |
| SINV   | - Inverted declarative sentence, i.e. one in which the subject follows the tensed verb or modal.                                                                                                                    |
| SQ     | Inverted yes/no question, or main clause of a wh-question, following the wh-phrase in SBARQ.                                                                                                                        |
| UCP    | Unlike Coordinated Phrase.                                                                                                                                                                                          |
| VP     | Vereb Phrase.                                                                                                                                                                                                       |
| WHADJP | Wh-adjective Phrase. Adjectival phrase containing a wh-adverb, as in how hot.                                                                                                                                       |
| WHADVP | - Wh-adverb Phrase. Introduces a clause with an NP gap. May be null (containing the 0 complementizer) or lexical, containing a wh-adverb such as how or why.                                                        |
| WHNP   | - Wh-noun Phrase. Introduces a clause with an NP gap. May be null (containing the 0 complementizer) or lexical, containing some wh-word, e.g. who, which book, whose daughter, none of which, or how many leopards. |
| WHPP   | - Wh-prepositional Phrase. Prepositional phrase containing a wh-noun phrase (such as of which or by whose authority) that either introduces a PP gap or is contained by a WHNP.                                     |
| X      | - Unknown, uncertain, or unbracketable. X is often used for bracketing typos and in bracketing the…​the-constructions.                                                                                              |

