<!--
# ========================================================================
# Copyright 2020 hankcs
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
# ========================================================================
-->

# Universal Dependencies

See also [Universal Dependencies](https://universaldependencies.org/docs/u/dep/index.html).

| Tag        | Description                                  |
|------------|----------------------------------------------|
| acl        | clausal modifier of noun (adjectival clause) |
| advcl      | adverbial clause modifier                    |
| advmod     | adverbial modifier                           |
| amod       | adjectival modifier                          |
| appos      | appositional modifier                        |
| aux        | auxiliary                                    |
| auxpass    | passive auxiliary                            |
| case       | case marking                                 |
| cc         | coordinating conjunction                     |
| ccomp      | clausal complement                           |
| compound   | compound                                     |
| conj       | conjunct                                     |
| cop        | copula                                       |
| csubj      | clausal subject                              |
| csubjpass  | clausal passive subject                      |
| dep        | unspecified dependency                       |
| det        | determiner                                   |
| discourse  | discourse element                            |
| dislocated | dislocated elements                          |
| dobj       | direct object                                |
| expl       | expletive                                    |
| foreign    | foreign words                                |
| goeswith   | goes with                                    |
| iobj       | indirect object                              |
| list       | list                                         |
| mark       | marker                                       |
| mwe        | multi-word expression                        |
| name       | name                                         |
| neg        | negation modifier                            |
| nmod       | nominal modifier                             |
| nsubj      | nominal subject                              |
| nsubjpass  | passive nominal subject                      |
| nummod     | numeric modifier                             |
| parataxis  | parataxis                                    |
| punct      | punctuation                                  |
| remnant    | remnant in ellipsis                          |
| reparandum | overridden disfluency                        |
| root       | root                                         |
| vocative   | vocative                                     |
| xcomp      | open clausal complement                      |