<!--
# ========================================================================
# Copyright 2020 hankcs
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
# ========================================================================
-->

# 863

| 词性   | 名称       | 说明                   | 例子 |
| ---- | -------------- | ------------------------------------------------ | ------------------------------------------------------------ |
| ng   | 普通名词       | 普通名词（ng），表示事物的名称                   | 人  马  书  教师  飞机  电冰箱  阿姨  桌子  木头道德  理论  历史  思想  文化  因素  作风  哲学 |
| nt   | 时间名词       | 时间名词（nt），包括一般所说的时量词             | 年  月  日  分  秒现在  过去  昨天  去年  将来  宋朝  星期一 |
| nd   | 方位名词       | 方位名词（nd），表示位置的相对方向               | 上  下  左  右  前  后  里  外  中  东  西  南  北前边  左面  里头  中间  外部 |
| nl   | 处所名词       | 处所名词（nl），表示处所                         | 空中  高处  隔壁  门口  附近  边疆  一旁  野外               |
| nh   | 人名           | 人名（nh），表示人的名称的专有名词               | 华罗庚  阿凡提  诸葛亮  司马相如  松赞干布  卡尔·马克思      |
| ns   | 地名           | 地名（ns），表示地理区域名称的专有名词           | 亚洲  大西洋  地中海  阿尔卑斯山  加拿大中国  北京  浙江  景德镇  呼和浩特  中关村 |
| nn   | 族名           | 族名（nn），表示民族或部落名称的专有名词         | 回族  藏族  壮族  蒙古族  维吾尔族  哈萨克族                 |
| ni   | 机构名         | 机构名（ni），表示团体、组织、机构名称的专有名词 | 联合国  教育部  北京大学  中国科学院                         |
| nz   | 其他专有名词   | 其他专有名词（nz）                               | 五粮液  宫爆鸡丁  桑塔纳                                     |
| vt   | 及物动词       | 及物动词（vt），能够带宾语                       | 吃  打  擦  洗  喂  借  送  买  捧  提  填喜欢  告诉  接受 羡慕  考虑  调查  同意  发动 |
| vi   | 不及物动词     | 不及物动词（vi），不能够带宾语                   | 病  休息  咳嗽  瘫痪  游泳  睡觉                             |
| vl   | 联系动词       | 联系动词（vl），表示关系的判断                   | 是                                                           |
| vu   | 能愿动词       | 能愿动词（vu），表示可能、意愿                   | 能够  能  应该  可以  可能  情愿  愿意  要                   |
| vd   | 趋向动词       | 趋向动词（vd），表示趋向                         | （走）上   （趴）下   （进）来   （回）去（跑）上来  （掉）下去  （提）起来  （扔）过去 |
| aq   | 性质形容词     | 性质形容词（aq），表示性质                       | 好  高  美  大  勇敢  危险  漂亮  干净  伟大                 |
| as   | 状态形容词     | 状态形容词（as），表示状态                       | 雪白  黢黑  通红  冰凉  绿油油  亮堂堂  白花花  冷冰冰       |
| in   | 名词性习用语   | 名词性习用语（in）                               | 海市蜃楼  井底之蛙  蛛丝马迹                                 |
| iv   | 动词性习用语   | 动词性习用语（iv）                               | 跑龙套  打官腔  吃老本  与时俱进  励精图治                   |
| ia   | 形容词性习用语 | 形容词性习用语（ia）                             | 丰富多彩  艰苦朴素  光明正大                                 |
| ic   | 连词性习用语   | 连词性习用语（ic）                               | 总而言之  由此可见  综上所述                                 |
| jn   | 名词性缩略语   | 名词性缩略语（jn）                               | 人大  五四  奥运                                             |
| jv   | 动词性缩略语   | 动词性缩略语（jv）                               | 调研  离退休                                                 |
| ja   | 形容词性缩略语 | 形容词性缩略语（ja）                             | 短平快  高精尖                                               |
| gn   | 名词性语素字   | 名词性语素字（gn）                               | 民  农  材                                                   |
| gv   | 动词性语素字   | 动词性语素字（gv）                               | 抒  究  涤                                                   |
| ga   | 形容词性语素字 | 形容词性语素字（ga）                             | 殊  遥  伟                                                   |
| wp   | 标点符号       | 标点符号（wp），如：                             | ，  。  、  ；  ？  ！  ：  “”  ……                           |
| ws   | 非汉字字符串   | 非汉字字符串（ws），如：                         | office  windows                                              |
| wu   | 其他未知的符号 | 其他未知的符号（wu）                             |                                                              |

